package com.fs.task;


import com.fs.FSAdminApplication;
import com.fs.company.service.ICompanyService;
import com.fs.company.vo.RedPacketMoneyVO;
import com.fs.course.mapper.FsCourseRedPacketLogMapper;
import com.fs.course.service.IFsCourseWatchLogService;
import com.fs.statis.service.FsStatisSalerWatchService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@RunWith(value = org.springframework.test.context.junit4.SpringRunner.class)
@SpringBootTest(classes = FSAdminApplication.class)
public class StoreTaskTest {
    @Autowired
    private IFsCourseWatchLogService fsCourseWatchLogService;
    @Autowired
    private FsCourseTask fsCourseTask;
    @Autowired
    private FsStatisSalerWatchService fsStatisSalerWatchService;

    @Autowired
    private FsCourseRedPacketLogMapper fsCourseRedPacketLogMapper;

    @Autowired
    private ICompanyService companyService;
    @Test
    public void addQwWatchLog() {
        fsCourseWatchLogService.addCourseWatchLogDayNew();
    }
    @Test
    public void test() throws Exception {
        fsCourseTask.hyWorkTask();
    }

    @Test
    public void testWriteData(){
        fsStatisSalerWatchService.writeData();
    }

    @Test
    public void redPacketSubMoney() throws Exception
    {
        List<RedPacketMoneyVO> redPacketMoneyVOS = fsCourseRedPacketLogMapper.selectFsCourseRedPacketLogByCompanyFix();
        for (RedPacketMoneyVO redPacketMoneyVO : redPacketMoneyVOS) {
            companyService.subtractCompanyMoney(redPacketMoneyVO.getMoney(),redPacketMoneyVO.getCompanyId());
        }
    }
}
